import Vue from 'vue'
import Vuex from 'vuex'
Vue.use(Vuex)
const state = {
  myMsg: 0
}
const getters = {
  myMsg (state) {
    return state.myMsg
  }
}
const mutations = {
  myMsg(state, sum) {
    state.myMsg = sum
  }
}
const store = new Vuex.Store({
  state,
  getters,
  mutations
})

export default store
